Tag: android studio

Android Studio: Error al crear el código de error JVM: -1

No marque por favor como duplicado. Hice cambios como por otras respuestas disponibles cuando el código de error era -4. Ahora muestra el código de error: -1. Por favor, dame alguna dirección. aquí está mi archivo studio.exe.vmoptions server -Xms256m -Xmx512m -XX:MaxPermSize=250m -XX:ReservedCodeCacheSize=240m -XX:+UseConcMarkSweepGC -XX:SoftRefLRUPolicyMSPerMB=50 -da -Djna.nosys=true -Djna.boot.library.path= -Djna.debug_load=true -Djna.debug_load.jna=true -Dsun.io.useCanonCaches=false -Djava.net.preferIPv4Stack=true -XX:+HeapDumpOnOutOfMemoryError -Didea.paths.selector=AndroidStudio2.1 -Didea.platform.prefix=AndroidStudio

Métodos de HTTP desautorizado advertencia en el estudio de Android

Estoy intentando hacer una petición http con parámetros. Actualmente estoy usando private List<NameValuePair> mParams = new ArrayList<NameValuePair>(); private DefaultHttpClient mHttpClient; private HttpPost mHttpPost; éstos para hacer la petición del HTTP y está trabajando muy bien. Pero el problema es el estudio de Android está mostrando advertencia obsoleta para todos estos 3. Intenté usar HttpClientBuilder.create().build(); pero […]

¿Puedo usar Widgets de la biblioteca de soporte de Android L Preview en la versión actual de Android?

Estoy intentando utilizar RecyclerView y CardView en la versión existente de Android. Dijeron que está en la biblioteca de apoyo. Por lo tanto, debería ser capaz de utilizar aquellos con poner "compileSdkVersion" a "Android-L". Correcto ? Estoy tratando de usar esos widgets sin Android L Vista previa de dispositivo o emulador. He comprobado otras preguntas […]

Android Studio – Asignación de varios valores a ManifestPlaceholders en Gradle

Tengo dos entorno de mi proyecto uno Prod otro es la puesta en escena . Así que cada vez que tengo que construir cualquier entorno, tengo que cambiar varias claves como clave de mapa, nombre de etiqueta y otras cosas en el manifiesto. Así que he buscado y descubrir algunas de las soluciones y manifestPlaceholders […]

Android Studio Gradle Archivo no válido Manifest.xml

Estoy tratando de construir mi proyecto Android en AndroidStudio versión 0.4.4, pero algo salió mal después de tocar el archivo build.gradle, que ahora se ve así: apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion "19.0.1" defaultConfig { minSdkVersion 9 targetSdkVersion 19 versionCode 1 versionName "1.0" } signingConfigs { release { storeFile file('somekey.jks') storePassword "pass" keyAlias […]

¿Cómo eliminar todos los comentarios del archivo específico de Android Studio?

Tengo algunos archivos grandes en mi proyecto con muchas líneas comentadas. Por lo general, cuando cambio algo en mi código, comento las líneas innecesarias primero y después de las pruebas de eliminarlas. Pero a veces al final hay demasiados comentarios en un archivo grande, y es difícil eliminarlos. Por lo tanto, puede haber alguna función […]

Android Conflict con dependencia appcompat

Estoy tratando de agregar la librería espresso-contrib a mi proyecto. Aquí está mi archivo build.gradle: apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.2" defaultConfig { applicationId "example.com.littlebox_hari" minSdkVersion 19 targetSdkVersion 23 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } /*configurations.all { resolutionStrategy { force […]

¿Es posible ejecutar pruebas de unidad de Android Espresso en métodos anotados @BeforeClass?

Tengo un problema al usar la anotación JUnit4 @BeforeClass en la prueba de unidad con instrumentos de Android (estoy usando la librería de pruebas de la GUI de Espresso ). Tan pronto como añado una prueba con la anotación @BeforeClass , Android Studio 1.5.1 no ejecuta ninguna prueba en absoluto, sino que simplemente imprime "Empty […]

Android Studio: ejecuta / depura la versión de lanzamiento de la aplicación

He añadido gradle construir a la aplicación de Android, y puede lanzar desde Android Studio. gradlew build produce las gradlew build debug y release (firmadas, minified con proguard). buildTypes { debug { zipAlignEnabled true versionNameSuffix "-" + buildDateTime() } release { minifyEnabled true // Eclipse project.properties # proguard.config=${sdk.dir}/tools/proguard/proguard-android.txt proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-project.txt' zipAlignEnabled true signingConfig signingConfigs.release […]

Manifiesto Herramientas de fusión: reemplazar no tiene ningún efecto

Im usando image-chooser-library en mi aplicación, que tiene android: icono definido por lo que necesito anular este atributo para gradle para construir con éxito: <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools" package="com.sample.sample"> <application android:icon="@drawable/icon" tools:replace="icon"/> </manifest> Pero todavía estoy recibiendo lo siguiente: La fusión de manifiesto falló: La aplicación de atributo @ icon value = (@ […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.